diff -Nru cups-1.5.2/debian/rules cups-1.5.2/debian/rules
--- cups-1.5.2/debian/rules	2012-03-05 08:05:56.000000000 +0100
+++ cups-1.5.2/debian/rules	2012-03-06 00:35:48.000000000 +0100
@@ -12,10 +12,15 @@
 # work around libpng crash on our test PNGs with 8 bit colormaps (LP #710881)
 export NO_PNG_PKG_MANGLE=1
 
-#export DEB_BUILD_MAINT_OPTIONS=hardening
+# Enabling PIE globally doesn't work, but ./configure already enables PIE
+# where necessary.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 LDFLAGS+= -Wl,--as-needed
+# The build system uses only DSOFLAGS but not LDFLAGS to build some libraries.
+# Add LDFLAGS to enable (hardening) build flags.
+export DSOFLAGS = $(LDFLAGS)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
